:root {
	--darkest-color: #121314;
	--dark-color: #222324;
	--mid-color: #555555;
	--light-color: #d29d00;
	--lightest-color: #f5e8d4;
}
*, *::before, *::after {
	padding: 0px;
	margin: 0px;
	box-sizing: border-box;
	user-select: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-webkit-transition: all .1s ease;
	-moz-transition: all .1s ease;
	-ms-transition: all .1s ease;
	-o-transition: all .1s ease;
	transition: all .1s ease;
}
html, body {
	margin: 0;
	padding: 0;
}
html {
	width: 100%;
	height: 100%;
	background-color: var(--darkest-color);
} 
body {
	width: 98%;
	height: 98%;
	margin: 1%;
	padding: 0px;
	border-radius: 1rem;
	background-color: var(--lightest-color);
	text-align: center;
	box-shadow: inset 0 0 1rem 0px var(--light-color);
}
.logo-container {
	position: relative;
	width: 5rem;
	height: 5rem;
	margin-left: auto;
	margin-right: auto;
	background-color: var(--darkest-color);
	border-radius: 100%;
}
.logo {
	display: block;
	width: 5rem;
	height: 5rem;
	background-color: var(--darkest-color);
	background-image: url("/assets/images/logo_animated.gif");
	background-position: center;
	background-repeat: no-repeat;
	background-size: 4rem 4rem;
	position: relative;
	z-index: 1;
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
	border-bottom-left-radius: 100%;
	border-bottom-right-radius: 100%;
}
.logo-container::before, .logo-container::after {
	content: "";
	position: absolute;
	width: 5rem;
	height: 5rem;
	background-color: transparent; /* must be transparent or match body background color */
	box-shadow: 0px -2rem 0px 0px var(--darkest-color); /* create inverted color border-radius */
}
.logo-container::before {
	margin-top: 0px;
	margin-left: -7.5rem;
	border-top-right-radius: 1rem;
}
.logo-container::after {
	margin-top: -5rem;
	margin-left: 2.5rem;
	border-top-left-radius: 1rem;
}
.logo-container:hover, .logo-container:hover .logo {
	width: 7rem;
	height: 7rem;
	margin-left: auto;
	margin-right: auto;
	background-size: 6rem 6rem;
}
.logo-container:hover::before, .logo-container:hover::after {
	width: 7rem;
	height: 7rem;
	box-shadow: 0px -3rem 0px 0px var(--darkest-color); /* create inverted color border-radius */
}
.logo-container:hover::before {
	margin-top: 0px;
	margin-left: -10.5rem;
	border-top-right-radius: 3rem;
}
.logo-container:hover::after {
	margin-top: -7rem;
	margin-left: 3.5rem;
	border-top-left-radius: 3rem;
}
/*
https://stackoverflow.com/questions/4502633/how-to-affect-other-elements-when-one-element-is-hovered
*/
.logo-container:hover + .content {
	padding-top: 6.5rem;
}
.content {
	position: relative;
	margin-top: -4.5rem; /* -(logo-container's height + logo-container's border-width) */
	padding-top: 4.5rem; /* same as margin-top */
	height: 96%; /* (body's height) */
	display: flex;
	flex-direction: column;
	align-content: center;
	justify-content: center;
	align-items: center;
	flex-wrap: nowrap;
}
h1, h2, h3, p {
	max-width: 80%;
}
h1 {
	font-family: "DM Serif Text", serif;
	font-weight: 400;
	text-shadow: 0px .2rem .2rem var(--light-color);
	animation: colors 2s linear infinite;
}
h3 {
	font-family: "Poppins", serif;
	font-weight: 400;
	color:  var(--darkest-color);
}
p {
	font-family: "Poppins", serif;
	font-weight: 400;
	color: var(--darkest-color);
}
button {
	align-items: center;
	background: #f5f5fa;
	border: 0;
	border-radius: 8px;
	box-shadow: -10px -10px 30px 0 #fff,10px 10px 30px 0 #1d0dca17;
	color: #2a1f62;
	cursor: pointer;
	display: flex;
	font-family: "Poppins", serif;
	justify-content: center;
	line-height: 1rem;
	position: relative;
	text-align: left;
	user-select: none;
	-webkit-user-select: none;
	touch-action: manipulation;
	width: max-content;
}
a {
	text-decoration: none;
	cursor: pointer;
}
.contacts {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-content: center;
	justify-content: center;
	align-items: center;
}
.contact-link {
	font-family: 'Poppins', serif;
	font-weight: 400;
	font-style: normal;
	color: #fff;
	padding: .3rem 1rem .3rem 1rem;
	border-radius: 1rem;
	min-width: 4rem;
	margin: .1rem;
}
.contact-link:hover {
	background-color: var(--dark-color);
}
.whatsapp {
	background-color: #25d366;
	background-image: linear-gradient(#25d366, #075e54);
}
.email {
	background-color: #2e2e2e;
	background-image: linear-gradient(#8b8b8b, #2e2e2e);
}
.whatsapp:hover {
	background-color: #075e54;
	background-image: linear-gradient(#075e54, #25d366);
}
.email:hover {
	background-color: #8b8b8b;
	background-image: linear-gradient(#2e2e2e, #8b8b8b);
}
.logo-container:hover ~ .content {
	margin-top: -7.5rem;
}
@keyframes colors {
	0%   {
		color: #000000;
	}
	12.5%  {
		color: #828a00;
	}
	25%  {
		color: #f29f05;
	}
	37.5% {
		color: #f25c05;
	}
	50% {
		color: #d6568c;
	}
	62.5% {
		color: #4d8584;
	}
	75% {
		color: #a62f03;
	}
	87.5% {
		color: #400d01;
	}
	100% {
		color: #274001;
	}
}
@media (orientation: landscape) {
	body {
		height: 96%;
	}
}
@media (orientation: portrait) {
	body {
		height: 98%;
	}
}
/*
@media (orientation: portrait) and (max-height:900px) {

}
*/